import java.io.*;
class steamTest
{
public static void main(String args[]) throws IOException
{
   steam s=new steam();
   Text cin=new Text();
   double t,v,p;
   System.out.print("T = ");
   t=cin.readDouble();
   System.out.print("v = ");
   v=cin.readDouble();
   System.out.println("v_tp = "+v);
   p=s.property("p_tv",t,v);
   System.out.println("p_tv = "+p);
   double ps=s.Ps(t);
   //p=s.Pi(t,v);
   //System.out.println("p_tv = "+p);
   double ts=s.Ts(p);
   double ro=1/v*1e-3;
   double to=1000/(t+273.15);
   System.out.println("Ps="+ps);
   System.out.println("Ts="+s.Ts(s.Ps(t)));
   System.out.println("P = "+p);
   double u=s.u(t,v);
   double h=s.h(t,v);
   double ss=s.s(t,v);
   double fi=s.fi(t,v);
   System.out.println("u_tv = "+u);
   System.out.println("h_tv = "+h);
   System.out.println("s_tv = "+ss);
   System.out.println("v_tp = "+s.property("v_tp",t,p));
   System.out.println("v_tu = "+s.property("v_tu",t,u));
   System.out.println("v_th = "+s.property("v_th",t,h));
   System.out.println("v_ts = "+s.property("v_ts",t,ss));
   System.out.println("v_pu = "+s.property("v_pu",p,u));
   System.out.println("v_ph = "+s.property("v_ph",p,h));
   System.out.println("v_ps = "+s.property("v_ps",p,ss));
   System.out.println("t_pv = "+s.property("t_pv",p,v));
   System.out.println("t_pu = "+s.property("t_pu",p,u));
   System.out.println("t_ph = "+s.property("t_ph",p,h));
   System.out.println("t_ps = "+s.property("t_ps",p,ss));
   System.out.println("p_tu = "+s.property("p_tu",t,u));
   System.out.println("p_th = "+s.property("p_th",t,h));
   System.out.println("p_ts = "+s.property("p_ts",t,ss));
   System.out.println("h_tu = "+s.property("h_tu",t,u));
   System.out.println("h_ts = "+s.property("h_ts",t,ss));
   System.out.println("fi ="+fi);
   System.out.println("vsl_t = "+s.vsl_t(t));
   System.out.println("vsg_t = "+s.vsg_t(t));
   System.out.println("hsl_t = "+s.property("hsl_t",t));
   System.out.println("hsg_t = "+s.property("hsg_t",t));
   System.out.println("hslg_t = "+s.property("hslg_t",t));
   System.out.println("usl_t = "+s.property("usl_t",t));
   System.out.println("usg_t = "+s.property("usg_t",t));
   System.out.println("uslg_t = "+s.property("uslg_t",t));
   System.out.println("ssl_t = "+s.property("ssl_t",t));
   System.out.println("ssg_t = "+s.property("ssg_t",t));
   System.out.println("sslg_t = "+s.property("sslg_t",t));
   System.out.println("vsl_p = "+s.vsl_t(t));
   System.out.println("vsg_p = "+s.vsg_t(t));
   System.out.println("hsl_p = "+s.property("hsl_p",ps));
   System.out.println("hsg_p = "+s.property("hsg_p",ps));
   System.out.println("hslg_p = "+s.property("hslg_p",ps));
   System.out.println("usl_p = "+s.property("usl_p",ps));
   System.out.println("usg_p = "+s.property("usg_p",ps));
   System.out.println("uslg_p = "+s.property("uslg_p",ps));
   System.out.println("ssl_p = "+s.property("ssl_p",ps));
   System.out.println("ssg_p = "+s.property("ssg_p",ps));
   System.out.println("sslg_p = "+s.property("sslg_p",ps));
   System.out.println("x_pv = "+s.x_tv(t,v));
   System.out.println("phase = "+s.phase(t,v));

   }
}